Bug 855221 - Windows behave strangely on an external monitor positioned vertically
Windows behave strangely on an external monitor positioned vertically
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 22:54 EDT by Michael Nelson
Modified: 2013-07-31 20:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:47:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diagram of what the windows do (3.78 KB, image/png)
2012-09-07 00:42 EDT, Michael Nelson
no flags Details

  None (edit)
Description Michael Nelson 2012-09-06 22:54:29 EDT
Description of problem:
On a laptop, windows snap to strange boundaries on an external monitor when it's positioned vertically, or directly above, the laptop's monitor. If the external monitor's resolution is higher than that of the laptop's, the horizontal boundaries seem to be the same as the smaller resolution's horizontal span.

Version-Release number of selected component (if applicable):
3.5.2-1.fc17.x86_64 #1 SMP Wed Aug 15 16:09:27 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Gnome

How reproducible:
Can reproduce every time

Steps to Reproduce:
1. On a laptop, plug in an external monitor that has a greater resolution than that of the laptop screen.
2. Go into System Settings > Displays. Drag the external monitor directly on top of the laptop's screen. Alignment doesn't seem to matter.
3. Maximize a window on the external display.
  
Actual results:
It seems to treat the edges of the other smaller screen as the maximum boundaries.

Expected results:
The window should expand to the dimensions of the large monitor.

Additional info:
Comment 1 Michael Nelson 2012-09-07 00:42:02 EDT
Created attachment 610612 [details]
Diagram of what the windows do

The windows are represented by the blue dotted line.
Comment 2 Fedora End Of Life 2013-07-03 18:43:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 20:47:52 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.